using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Telerik.Web.UI;
using System.Globalization;

using BE;
using BL;
using Utilitaria;


public partial class List_ProvisionVentas : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Usuario"] == null)
        {
            Response.Redirect(Utilitaria.Cls_Enums.CerrarSesion.Salir);
        }
        if (!IsPostBack)
        {
            ViewState["HotelID"] =  Session["HotelID"];
            ViewState["EstablecimientoID"] = Session["EmpresaID"];
        }
    }

    private void listar_PuntosVenta()
    {
        BEConfigTransferencias objBEConfigTransferencias = new BEConfigTransferencias();
        BLConfigTransferencias objBLConfigTransferencias = new BLConfigTransferencias();

        tk_Grid.DataSource = objBLConfigTransferencias.fnSelPuntosVentaAll(0);

        objBEConfigTransferencias = null;
        objBLConfigTransferencias = null;

    }

  
    private void listar_TipodeProductos()
    {
        BEConfigTransferencias objBEConfigTransferencias = new BEConfigTransferencias();
        BLConfigTransferencias objBLConfigTransferencias = new BLConfigTransferencias();

        tk_tipodeProdcuto.DataSource = objBLConfigTransferencias.fnSelTipodeProductosAll(0);

        objBEConfigTransferencias = null;
        objBLConfigTransferencias = null;

    }

    private void listar_ProductosxPuntoVenta()
    {
        BEConfigTransferencias objBEConfigTransferencias = new BEConfigTransferencias();
        BLConfigTransferencias objBLConfigTransferencias = new BLConfigTransferencias();

        tk_ProductosxPuntoVenta.DataSource = objBLConfigTransferencias.fnSelPuntoVentaProductoAll(0);

        objBEConfigTransferencias = null;
        objBLConfigTransferencias = null;

    }
    
  
    protected void showMessage(string strMessage)
    {
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myscript", "alert('" + strMessage + "');", true);


    }

    protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        if (e.Argument == "Rebind")
        {
            tk_Grid.MasterTableView.SortExpressions.Clear();
            tk_Grid.MasterTableView.GroupByExpressions.Clear();
            tk_Grid.Rebind();

            tk_tipodeProdcuto.MasterTableView.SortExpressions.Clear();
            tk_tipodeProdcuto.MasterTableView.GroupByExpressions.Clear();
            tk_tipodeProdcuto.Rebind();

            tk_ProductosxPuntoVenta.MasterTableView.SortExpressions.Clear();
            tk_ProductosxPuntoVenta.MasterTableView.GroupByExpressions.Clear();
            tk_ProductosxPuntoVenta.Rebind();

            RadGrid1.MasterTableView.SortExpressions.Clear();
            RadGrid1.MasterTableView.GroupByExpressions.Clear();
            RadGrid1.Rebind();
        }
        else if (e.Argument == "RebindAndNavigate")
        {
            tk_Grid.MasterTableView.SortExpressions.Clear();
            tk_Grid.MasterTableView.GroupByExpressions.Clear();
            tk_Grid.MasterTableView.CurrentPageIndex = tk_Grid.MasterTableView.PageCount - 1;
            tk_Grid.Rebind();

            tk_tipodeProdcuto.MasterTableView.SortExpressions.Clear();
            tk_tipodeProdcuto.MasterTableView.GroupByExpressions.Clear();
            tk_tipodeProdcuto.MasterTableView.CurrentPageIndex = tk_tipodeProdcuto.MasterTableView.PageCount - 1;
            tk_tipodeProdcuto.Rebind();

            tk_ProductosxPuntoVenta.MasterTableView.SortExpressions.Clear();
            tk_ProductosxPuntoVenta.MasterTableView.GroupByExpressions.Clear();
            tk_ProductosxPuntoVenta.MasterTableView.CurrentPageIndex = tk_ProductosxPuntoVenta.MasterTableView.PageCount - 1;
            tk_ProductosxPuntoVenta.Rebind();

            RadGrid1.MasterTableView.SortExpressions.Clear();
            RadGrid1.MasterTableView.GroupByExpressions.Clear();
            RadGrid1.MasterTableView.CurrentPageIndex = tk_ProductosxPuntoVenta.MasterTableView.PageCount - 1;
            RadGrid1.Rebind();
        
        }

    
    }

    String CurrUrl;
    String par;

    protected void tk_Grid_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        listar_PuntosVenta();
    }
    protected void tk_Grid_ItemDataBound(object sender, GridItemEventArgs e)
    {
     
        if (e.Item is GridDataItem)
        {

            GridDataItem dataItem = (GridDataItem)e.Item;


            par = "&pv=" + dataItem["puntoventaID"].Text;
            HyperLink linkItem = new HyperLink();
            linkItem.NavigateUrl = "#";
            linkItem.Text = dataItem["Nombre"].Text;
            linkItem.CssClass = "gridtext";
            linkItem.Attributes.Add("OnClick", String.Format("return ShowEditFormPVenta('{0}','{1}','{2}');", dataItem["puntoventaID"], e.Item.ItemIndex, par));
            dataItem["Nombre"].Controls.Add(linkItem);

        }
      
      
    }

    protected void tk_tipodeProdcuto_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        listar_TipodeProductos();
    }
    protected void tk_tipodeProdcuto_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {

            GridDataItem dataItem = (GridDataItem)e.Item;


            par = "&tp=" + dataItem["tipoproductoId"].Text;
            HyperLink linkItem = new HyperLink();
            linkItem.NavigateUrl = "#";
            linkItem.Text = dataItem["nombre"].Text;
            linkItem.CssClass = "gridtext";
            linkItem.Attributes.Add("OnClick", String.Format("return ShowEditFormtipodeProdcuto('{0}','{1}','{2}');", dataItem["tipoproductoId"], e.Item.ItemIndex, par));
            dataItem["nombre"].Controls.Add(linkItem);

        }


    }

    protected void tk_ProductosxPuntoVenta_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        listar_ProductosxPuntoVenta();
    }
    protected void tk_ProductosxPuntoVenta_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {

            GridDataItem dataItem = (GridDataItem)e.Item;


            par = "&pvp=" + dataItem["puntoventaproductoID"].Text;
            HyperLink linkItem = new HyperLink();
            linkItem.NavigateUrl = "#";
            linkItem.Text = dataItem["nombre"].Text;
            linkItem.CssClass = "gridtext";
            linkItem.Attributes.Add("OnClick", String.Format("return ShowEditPuntoventaproducto('{0}','{1}','{2}');", dataItem["puntoventaproductoID"], e.Item.ItemIndex, par));
            dataItem["nombre"].Controls.Add(linkItem);

            par = "&pvp=" + dataItem["puntoventaproductoID"].Text;
            linkItem = new HyperLink();
            linkItem.NavigateUrl = "#";
            linkItem.Text = dataItem["NombrePuntoVenta"].Text;
            linkItem.CssClass = "gridtext";
            linkItem.Attributes.Add("OnClick", String.Format("return ShowEditPuntoventaproducto('{0}','{1}','{2}');", dataItem["puntoventaproductoID"], e.Item.ItemIndex, par));
            dataItem["NombrePuntoVenta"].Controls.Add(linkItem);


        }


    }

    protected void Radgrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {

        if (e.Item is GridDataItem)
        {

            GridDataItem dataItem = (GridDataItem)e.Item;
            par = dataItem["familiaId"].Text;
            HyperLink linkItem = new HyperLink();
            linkItem.NavigateUrl = "#";
            linkItem.Text = dataItem["NombreFamilia"].Text;
            linkItem.CssClass = "gridtext";
            linkItem.Attributes.Add("OnClick", String.Format("return ShowEditFormProductoFamilia('{0}');", par));
            dataItem["NombreFamilia"].Controls.Add(linkItem);
        }

    }
    
    }
